<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>

    <groupId>com.jzdsh.auto</groupId>
    <artifactId>auto</artifactId>
    <packaging>pom</packaging>
    <version>1.0</version>
    <modules>
        <module>model</module>
        <module>biz</module>
        <module>app</module>
        <module>workbench</module>
    </modules>

    <properties>
        <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
        <maven.compiler.source>1.8</maven.compiler.source>
        <maven.compiler.target>1.8</maven.compiler.target>
        <jfinal.version>4.8</jfinal.version>
    </properties>

    <dependencyManagement>
        <dependencies>
            <!-- mysql-connector -->
            <dependency>
                <groupId>mysql</groupId>
                <artifactId>mysql-connector-java</artifactId>
                <version>5.1.44</version>
            </dependency>
            <!-- jsoup HTML解析 -->
            <dependency>
                <groupId>org.jsoup</groupId>
                <artifactId>jsoup</artifactId>
                <version>1.9.2</version>
            </dependency>

            <!--apache package begin-->
            <dependency>
                <groupId>org.apache.commons</groupId>
                <artifactId>commons-lang3</artifactId>
                <version>3.4</version>
            </dependency>

            <dependency>
                <groupId>commons-io</groupId>
                <artifactId>commons-io</artifactId>
                <version>2.5</version>
            </dependency>

            <!-- 邮件发送 -->
            <dependency>
                <groupId>commons-codec</groupId>
                <artifactId>commons-codec</artifactId>
                <version>1.9</version>
            </dependency>

            <!-- 邮件发送 -->
            <dependency>
                <groupId>org.apache.commons</groupId>
                <artifactId>commons-email</artifactId>
                <version>1.2</version>
            </dependency>
            <!--apache package end-->

            <!-- jfinal -->
            <dependency>
                <groupId>com.jfinal</groupId>
                <artifactId>jfinal</artifactId>
                <version>${jfinal.version}</version>
            </dependency>
            <!-- cos 文件上传 -->
            <dependency>
                <groupId>com.jfinal</groupId>
                <artifactId>cos</artifactId>
                <version>2019.8</version>
            </dependency>
            <!-- jfinal-undertow 开发、部署一体化 web 服务器 -->
            <dependency>
                <groupId>com.jfinal</groupId>
                <artifactId>jfinal-undertow</artifactId>
                <version>2.0</version>
            </dependency>

            <!-- alibaba druid -->
            <dependency>
                <groupId>com.alibaba</groupId>
                <artifactId>druid</artifactId>
                <version>1.0.29</version>
            </dependency>
            <dependency>
                <groupId>com.alibaba</groupId>
                <artifactId>fastjson</artifactId>
                <version>1.2.66</version>
            </dependency>
            <!-- alibaba end -->
            <!--log-->
            <dependency>
                <groupId>org.apache.logging.log4j</groupId>
                <artifactId>log4j-slf4j-impl</artifactId>
                <version>2.13.1</version>
            </dependency>

            <!-- ehcache 缓存 -->
            <dependency>
                <groupId>net.sf.ehcache</groupId>
                <artifactId>ehcache-core</artifactId>
                <version>2.6.11</version>
            </dependency>

            <!-- cron4j 任务调度 -->
            <dependency>
                <groupId>it.sauronsoftware.cron4j</groupId>
                <artifactId>cron4j</artifactId>
                <version>2.2.5</version>
            </dependency>

            <!--google start zxing 二维码生成-->
            <dependency>
                <groupId>com.google.zxing</groupId>
                <artifactId>javase</artifactId>
                <version>3.2.1</version>
            </dependency>
            <dependency>
                <groupId>com.google.guava</groupId>
                <artifactId>guava</artifactId>
                <version>28.1-jre</version>
            </dependency>
            <dependency>
                <groupId>com.googlecode.juniversalchardet</groupId>
                <artifactId>juniversalchardet</artifactId>
                <version>1.0.3</version>
            </dependency>
            <!--google end-->
            <!-- 如果client运行在servlet容器环境中,那么可以直接通过servlet监控IP池的状态信息。思路源于druid -->
            <!--<dependency>
                <groupId>javax.servlet</groupId>
                <artifactId>servlet-api</artifactId>
                <version>2.5</version>
            </dependency>-->
            <!--jzdsh start-->
            <dependency>
                <groupId>com.jzdsh</groupId>
                <artifactId>utils</artifactId>
                <version>1.1</version>
            </dependency>
            <dependency>
                <groupId>com.jzdsh</groupId>
                <artifactId>database</artifactId>
                <version>1.2</version>
            </dependency>
            <!--jzdsh end-->
            <!-- joda-time 日期、时间变换 -->
            <dependency>
                <groupId>joda-time</groupId>
                <artifactId>joda-time</artifactId>
                <version>2.9.3</version>
            </dependency>
            <dependency>
                <groupId>org.projectlombok</groupId>
                <artifactId>lombok</artifactId>
                <version>1.18.12</version>
                <scope>provided</scope>
            </dependency>

        </dependencies>
    </dependencyManagement>

    <distributionManagement>
        <repository>
            <id>rdc-releases</id>
            <url>https://repo.rdc.aliyun.com/repository/124979-release-U0ysiy/</url>
        </repository>
        <snapshotRepository>
            <id>rdc-snapshots</id>
            <url>https://repo.rdc.aliyun.com/repository/124979-snapshot-42WeYF/</url>
        </snapshotRepository>
    </distributionManagement>

    <build>
        <plugins>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-compiler-plugin</artifactId>
                <version>3.6.1</version>
                <configuration>
                    <source>1.8</source>
                    <target>1.8</target>
                    <encoding>UTF-8</encoding>
                    <!-- java8 保留参数名编译参数 -->
                    <compilerArgument>-parameters</compilerArgument>
                    <compilerArguments><verbose /></compilerArguments>
                </configuration>
            </plugin>
        </plugins>
    </build>

</project>